package com.sonydna.common.extensions

import com.sonydna.common.annotation.functional_programming.AsPure
import com.sonydna.common.annotation.null_analysis.NonNullByDefault

@NonNullByDefault
final class ScFloat {
	
    @AsPure def static final float filter(float e, ScRangeF range) {
        Math.min(Math.max(e, range.min), range.max)
    }
}