package com.sonydna.common.extensions

import com.sonydna.common.annotation.null_analysis.NonNullByDefault

@NonNullByDefault
final class ScPercent {
    public val float value

    private new(float e) {
        value = e / 100
    }

    def static final per(float e) {
        if (e < 0) throw new AssertionError
        new ScPercent(e)
    }
}