package com.sonydna.common.extensions

import com.sonydna.common.annotation.null_analysis.NonNullByDefault
import com.sonydna.common.annotation.null_analysis.Nullable
import android.graphics.drawable.Drawable

@NonNullByDefault
final class ScResources {
    @Nullable def static final String   getResourceString(int id)                 { ScApp.instance.getString(id) }
    @Nullable def static final String   getResourceString(int id, Object... args) { ScApp.instance.getString(id, args) }
    @Nullable def static final Drawable getResourceDrawable(int id)               { ScApp.instance.resources.getDrawable(id) }
}