package com.sonydna.common.extensions

import org.apache.commons.io.IOUtils
import java.io.InputStream
import com.sonydna.common.annotation.null_analysis.NonNullByDefault
import java.io.IOException
import java.util.regex.Pattern

@NonNullByDefault
final class ScString {

	def static final asString(InputStream e) throws IOException {
		var result = IOUtils.toString(e)
		e.close
		return result
	}
	
    def static final getMatchCount(String e, Pattern pattern) {
        val m = pattern.matcher(e)
        var i = 0
        while (m.find) i = i + 1
        return i
    }
    
    def static final trimLeft(String e, String trim) {
        e.replaceFirst('''^(«Pattern.quote(trim)»)*''', "");
    }
}
