package com.sonydna.common.extensions

import android.widget.Toast
import com.sonydna.common.annotation.null_analysis.NonNullByDefault

@NonNullByDefault
final class ScToast {
	
    def static final Toast asToastByShort(int resId) {
        return Toast.makeText(ScApp.instance, resId, Toast.LENGTH_SHORT)
    }

    def static final Toast asToastByLong(int resId) {
        return Toast.makeText(ScApp.instance, resId, Toast.LENGTH_LONG)
    }

    def static final Toast asToastByShort(CharSequence message) {
        return Toast.makeText(ScApp.instance, message, Toast.LENGTH_SHORT)
    }
    
    def static final Toast asToastByLong(CharSequence message) {
        return Toast.makeText(ScApp.instance, message, Toast.LENGTH_LONG)
    }
}
