package com.sonydna.common.extensions

import android.view.View
import android.webkit.WebView
import android.widget.Button
import android.widget.CheckBox
import android.widget.CheckedTextView
import android.widget.DatePicker
import android.widget.EditText
import android.widget.FrameLayout
import android.widget.Gallery
import android.widget.GridView
import android.widget.HorizontalScrollView
import android.widget.ImageButton
import android.widget.ImageView
import android.widget.LinearLayout
import android.widget.ListView
import android.widget.ProgressBar
import android.widget.RadioButton
import android.widget.RadioGroup
import android.widget.RatingBar
import android.widget.RelativeLayout
import android.widget.ScrollView
import android.widget.SeekBar
import android.widget.Spinner
import android.widget.TabHost
import android.widget.TabWidget
import android.widget.TextView
import android.widget.ToggleButton
import android.widget.TwoLineListItem
import android.widget.VideoView
import android.widget.ViewFlipper

import com.sonydna.common.android.widget.ScImageGridView
import com.sonydna.common.annotation.null_analysis.NonNullByDefault
import com.sonydna.common.annotation.null_analysis.Nullable

@NonNullByDefault
final class ScView {
	@Nullable def static final asButton               (View view, int id) { view.findViewById(id) as Button }
	@Nullable def static final asCheckBox             (View view, int id) { view.findViewById(id) as CheckBox }
	@Nullable def static final asCheckedTextView      (View view, int id) { view.findViewById(id) as CheckedTextView }
	@Nullable def static final asDatePicker           (View view, int id) { view.findViewById(id) as DatePicker }
	@Nullable def static final asEditText             (View view, int id) { view.findViewById(id) as EditText }
	@Nullable def static final asFrameLayout          (View view, int id) { view.findViewById(id) as FrameLayout }
	@Nullable def static final asGallery              (View view, int id) { view.findViewById(id) as Gallery }
	@Nullable def static final asGridView             (View view, int id) { view.findViewById(id) as GridView }
	@Nullable def static final asHorizontalScrollView (View view, int id) { view.findViewById(id) as HorizontalScrollView }
	@Nullable def static final asImageButton          (View view, int id) { view.findViewById(id) as ImageButton }
	@Nullable def static final asImageView            (View view, int id) { view.findViewById(id) as ImageView }
	@Nullable def static final asLinearLayout         (View view, int id) { view.findViewById(id) as LinearLayout }
	@Nullable def static final asListView             (View view, int id) { view.findViewById(id) as ListView }
	@Nullable def static final asProgressBar          (View view, int id) { view.findViewById(id) as ProgressBar }
	@Nullable def static final asRadioButton          (View view, int id) { view.findViewById(id) as RadioButton }
	@Nullable def static final asRadioGroup           (View view, int id) { view.findViewById(id) as RadioGroup }
	@Nullable def static final asRatingBar            (View view, int id) { view.findViewById(id) as RatingBar }
	@Nullable def static final asRelativeLayout       (View view, int id) { view.findViewById(id) as RelativeLayout }
	@Nullable def static final asScrollView           (View view, int id) { view.findViewById(id) as ScrollView }
	@Nullable def static final asSeekBar              (View view, int id) { view.findViewById(id) as SeekBar }
	@Nullable def static final asSpinner              (View view, int id) { view.findViewById(id) as Spinner }
	@Nullable def static final asTabHost              (View view, int id) { view.findViewById(id) as TabHost }
	@Nullable def static final asTabWidget            (View view, int id) { view.findViewById(id) as TabWidget }
	@Nullable def static final asTextView             (View view, int id) { view.findViewById(id) as TextView }
	@Nullable def static final asToggleButton         (View view, int id) { view.findViewById(id) as ToggleButton }
	@Nullable def static final asTwoLineListItem      (View view, int id) { view.findViewById(id) as TwoLineListItem }
	@Nullable def static final asVideoView            (View view, int id) { view.findViewById(id) as VideoView }
	@Nullable def static final asViewFlipper          (View view, int id) { view.findViewById(id) as ViewFlipper }
	@Nullable def static final asWebView              (View view, int id) { view.findViewById(id) as WebView }
	
	@Nullable def static final asScImageGridView      (View view, int id) { view.findViewById(id) as ScImageGridView }
}