package com.sonydna.common.extensions

import android.test.AndroidTestCase
import com.sonydna.common.annotation.null_analysis.NonNullByDefault
import java.util.BitSet

@NonNullByDefault
final class ScBitSetTest extends AndroidTestCase {
	
	def static void test01() {
		val bs = new BitSet(10)
		assertTrue(bs.length == 0)
		assertTrue(10 != bs.size)
	}

	def static void test_toIterable() {
		val expected = #[2, 3, 5, 7, 11]

		val bs = new ScBitSet(20)
		for (e: expected) bs.set(e, true)

		assertTrue(expected == bs.toList)
	}
}