package com.sonydna.common.extensions

import android.net.NetworkInfo
import com.sonydna.common.annotation.null_analysis.NonNullByDefault
import com.sonydna.common.annotation.null_analysis.Nullable

@NonNullByDefault
final class ScConnectivityManager {

    @Nullable def static final NetworkInfo getActiveNetworkInfo() {
        ScContext.connectivityManager.activeNetworkInfo
    }

    def static final boolean isNetworkConnected() {
        val e = ScContext.connectivityManager.activeNetworkInfo
        if (e != null) e.connected else false
    }

}
