package com.sonydna.common.extensions

import android.graphics.Point
import android.graphics.Rect
import android.test.AndroidTestCase

import com.sonydna.common.annotation.null_analysis.NonNullByDefault
import static extension com.sonydna.common.extensions.ScRect.*

@NonNullByDefault
final class ScRectTest extends AndroidTestCase {
	
    def static void test_01() {
        val _2_1 = new Point(2, 1)
        val _4x6 = new ScDimension(4, 6)

        assertTrue(_4x6.asRectByCenter (_2_1) == new Rect(0, -2, 4, 4))
        assertTrue(_4x6.asRectByLeftTop(_2_1) == new Rect(2,  1, 6, 7))
    }
}
